Accept an invite
curl --request POST \
--url https://api.withampersand.com/v1/invites:accept \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"invitedEmail": "<string>"
}
'import requests
url = "https://api.withampersand.com/v1/invites:accept"
payload = { "invitedEmail": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({invitedEmail: '<string>'})
};
fetch('https://api.withampersand.com/v1/invites:accept', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"builder": {
"id": "builder-id-123",
"idpProvider": "clerk",
"idpRef": "<string>",
"createTime": "2023-11-07T05:31:56Z",
"firstName": "<string>",
"lastName": "<string>",
"fullName": "<string>",
"primaryEmail": "<string>"
},
"projectRoles": {},
"orgRole": {
"role": "admin",
"principalId": "builder-id-123",
"org": {
"id": "9f7c3e2a-61b8-4f5c-8d1a-eb24f3b05d79",
"label": "Acme Inc",
"defaultTeamId": "<string>",
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z"
}
}
}{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}User
Accept an invite
POST
/
invites:accept
Accept an invite
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The email address that the invite was sent to
Was this page helpful?
⌘I

